2

I am trying to build some packages from source and I get messages that say I need the following:

-glib2 (DONE) (apt-get install glib-2.6)

-directfb

-libpng

-m4 (TRIED) I got this installed but still get a message that it is missing.

  • libtool.m4 not found

  • glib-gettext.m4 not found

  • pkg.m4 not found

Error: some autoconf macros required to build Package were not found in your aclocal path, or some forbidden macros were found. Perhaps you need to adjust your ACLOCAL_FLAGS?

Searching google: directfb and libpng I am just not finding clear install instructions. As for m4 how can I check that I have installed it correctly?

1

You did not say which image/distribution you are using, tho it appears to be some kind of debian linux (perhaps raspbian?).

Generally linux distro packages have a separate associated "development" package which contains the bits you need when compiling with them, since these are not required for normal use. For debian they are labelled with "-dev", eg:

> apt-cache search directfb | grep dev
libdirectfb-dev - direct frame buffer graphics library - development files

If you don't have the dev package installed, you won't be able to build against the library. m4 won't have one, but you should install the base libtool package and also the glib dev package. BTW, don't confuse glibc (notice the c) with glib.

Providing a link to the software you are trying to compile might help too.

  • Sorry yes this is raspbian... I do plan to try this on Arch as soon as I get it working here. alioth.debian.org/projects/splashy – mrhobbeys Mar 4 '13 at 20:29
  • apt-cache search glib | grep dev overfills the screen so that I can not find the name of the package I want. – mrhobbeys Mar 4 '13 at 22:13
0

apt-get build-dep [x]

Use that if you are i.e. wanting to build a slightly newer version of a package, which has an older version already in the repo. Chances are they wont have changed too much.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.